View a markdown version of this page

GetSourceEndpoint - AWS Elemental MediaConnect

GetSourceEndpoint

Retrieves information about a source endpoint.

Request Syntax

GET /v1/sourceEndpoint/arn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

arn

The Amazon Resource Name (ARN) of the source endpoint to retrieve.

Length Constraints: Minimum length of 64. Maximum length of 128.

Pattern: arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:sourceEndpoint:[a-z0-9]{12}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "sourceEndpoint": { "arn": "string", "associatedResourceDetails": { ... }, "availabilityZone": "string", "availabilityZoneId": "string", "configuration": { ... }, "connectedDestinations": [ "string" ], "connectionDetails": { ... }, "connectionState": "string", "createdAt": "string", "description": "string", "encryptionConfiguration": { ... }, "encryptionType": "string", "id": "string", "lifecycleManagement": "string", "messages": [ { "code": "string", "message": "string" } ], "name": "string", "regionName": "string", "registrationState": "string", "resourceShareDetails": { ... }, "resourceShareOwnership": "string", "sourceType": "string", "tags": { "string" : "string" }, "updatedAt": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

sourceEndpoint

The details of the source endpoint.

Type: SourceEndpoint object

Errors

For information about the errors that are common to all actions, see Common Error Types.

BadRequestException

This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.

HTTP Status Code: 400

ForbiddenException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerErrorException

The server encountered an internal error and is unable to complete the request.

HTTP Status Code: 500

NotFoundException

One or more of the resources in the request does not exist in the system.

HTTP Status Code: 404

ServiceUnavailableException

The service is currently unavailable or busy.

HTTP Status Code: 503

TooManyRequestsException

The request was denied due to request throttling.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: